Subject: Re: [TOOLS-DEVELOPMENT] RFC 9141 on Updating References to the IETF FTP Service

From: Russ Housley <[email-masked]>
Date: Fri, 19 Nov 2021 08:05:16 -0500

Yeah!

> On Nov 19, 2021, at 2:18 AM, [email-masked] wrote:
> 
> A new Request for Comments is now available in online RFC libraries.
> 
> 
>        RFC 9141
> 
>        Title:      Updating References to the IETF 
>                    FTP Service 
>        Author:     R. Danyliw
>        Status:     Standards Track
>        Stream:     IETF
>        Date:       November 2021
>        Mailbox:    [email-masked]
>        Pages:      18
>        Updates:    RFC 2077, RFC 2418, RFC 2648, RFC 2954, 
>                    RFC 2955, RFC 3020, RFC 3083, RFC 3201, 
>                    RFC 3202, RFC 3295, RFC 3684, RFC 3962, 
>                    RFC 3970, RFC 4036, RFC 4131, RFC 4251, 
>                    RFC 4323, RFC 4546, RFC 4547, RFC 4639, 
>                    RFC 4682, RFC 5098, RFC 5428, RFC 6756, 
>                    RFC 7241
> 
>        I-D Tag:    draft-danyliw-replace-ftp-pointers-06.txt
> 
>        URL:        https://www.rfc-editor.org/info/rfc9141
> 
>        DOI:        10.17487/RFC9141
> 
> The IETF FTP service running at ftp.ietf.org, ops.ietf.org, and
> ietf.org will be retired.  A number of published RFCs in the IETF and
> IAB streams include URIs that reference this FTP service.  To ensure
> that the materials referenced using the IETF FTP service can still be
> found, this document updates the FTP-based references in these
> affected documents with HTTPS URIs.
> 
> This is now a Proposed Standard.
> 
> STANDARDS TRACK: This document specifies an Internet Standards Track
> protocol for the Internet community, and requests discussion and suggestions
> for improvements.  Please refer to the current edition of the Official
> Internet Protocol Standards (https://www.rfc-editor.org/standards) for the 
> standardization state and status of this protocol.  Distribution of this 
> memo is unlimited.
> 
> This announcement is sent to the IETF-Announce and rfc-dist lists.
> To subscribe or unsubscribe, see
>  https://www.ietf.org/mailman/listinfo/ietf-announce
>  https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
> 
> For searching the RFC series, see https://www.rfc-editor.org/search
> For downloading RFCs, see https://www.rfc-editor.org/retrieve/bulk
> 
> Requests for special distribution should be addressed to either the
> author of the RFC in question, or to [email-masked].  Unless
> specifically noted otherwise on the RFC itself, all RFCs are for
> unlimited distribution.
> 
> 
> The RFC Editor Team
> Association Management Solutions, LLC

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 19 Nov 2021 15:47:01 +0000

Based on https://mailarchive.ietf.org/arch/msg/ietf/vi-8bFqlgBFjB2jJ1SIAGHiNRdg/ IESG and the tools team are now expected to:
- work on a plan for the actual shutdown of the FTP services
- sending an email to the IETF community 4 months before the actual shutdown

I would suggest that we send the email early next week (happy to do it or delegate to Roman or Lars or someone from the tools team) as I do not think that we need to have a plan to simply remove some RR from the ietf.org zone and shutdown/uninstall services/servers

Comments ?

-éric

On 19/11/2021, 08:19, "IETF-Announce on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

            RFC 9141

            DOI:        10.17487/RFC9141

    The RFC Editor Team

    _______________________________________________
    IETF-Announce mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: "John Levine" <[email-masked]>
Date: 19 Nov 2021 17:34:04 -0500

It appears that Eric Vyncke (evyncke) <[email-masked]> said:
>I would suggest that we send the email early next week (happy to do it or delegate to Roman or Lars or someone from the tools team) as I do not think that we need to have a plan to simply
>remove some RR from the ietf.org zone and shutdown/uninstall services/servers

Next week is a major holiday in the U.S.  I'd wait until the week after.

R's,
John